Subject: Re: [V3,01/10] powerpc/mm/nohash: MM_SLICE is only used by book3s 64

From: Michael Ellerman <[email-masked]>
Date: Mon, 3 Apr 2017 20:13:21 +1000 (AEST)

On Tue, 2017-03-21 at 17:29:51 UTC, "Aneesh Kumar K.V" wrote:
> BOOKE code is dead code as per the Kconfig details. So make it simpler
> by enabling MM_SLICE only for book3s_64. The changes w.r.t nohash is just
> removing deadcode. W.r.t ppc64, 4k without hugetlb will now enable MM_SLICE.
> But that is good, because we reduce one extra variant which probably is not
> getting tested much.
> 
> Reviewed-by: Paul Mackerras <[email-masked]>
> Signed-off-by: Aneesh Kumar K.V <[email-masked]>

Series applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/b42279f0165cdfb093718ec368e56d

cheers